﻿@using System.Web.Optimization
@model PhoneStore.Feature.Media.ViewModels.ImageSliderViewModel

@Styles.Render("~/bundles/imageslider.css")

<div class="image-slider">
    @if (Model != null && Model.HasSlides)
    {
        if (Model.IsInExperienceEditorMode)
        {
            foreach (var slide in Model.Slides)
            {
                @slide.Image
                <div style="width: 100%; text-align: center;">
                    <h5 class="image-slider-title">@slide.Title</h5>
                    <p class="image-slider-description">@slide.Description</p>
                </div>
            }

            <div style="clear:both;">
                <a href="#" class="btn btn-success add-image-btn"
                    onclick="javascript:Sitecore.PageModes.PageEditor.postRequest('webedit:new(id=@(Model.ParentGuid))')">
                    Add new image
                </a>
            </div>
        }
        else
        {
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                <ol class="carousel-indicators">
                    @for (var i = 0; i < Model.SlidesCount; i++)
                    {
                        <li data-target="#carouselExampleIndicators" data-slide-to="@i" class="@(Model.Slides[i].IsActive ? "active" : "")"></li>
                    }
                </ol>
                <div class="carousel-inner">
                    @foreach (var slide in Model.Slides)
                    {
                        <div class="carousel-item @(slide.IsActive ? "active" : "")">
                            @slide.Image
                            <div class="carousel-caption d-none d-md-block">
                                <h5 class="image-slider-title">@slide.Title</h5>
                                <p class="image-slider-description">@slide.Description</p>
                            </div>
                        </div>
                    }
                </div>
                <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>
            if (Model.IsSliderIntervalSet)
            {
                <script type="text/javascript">
                    $(document).ready(function () {
                        $(".carousel").carousel({
                            interval: @(Model.SlideInterval),
                        });
                    });
                </script> 
            }
        }
    }
    else if (Model == null)
    {
        <h1>Datasource is not passed</h1>
    }
    else
    {
        <h1>Datasource has no images</h1>
    }
</div>
